local addonName, vars = ...
local addon = vars
_G[addonName] = addon
local rev = tonumber(("$Revision: 3 $"):match("%d+"))
local function msg(...)
    print("\124cff00ff00"..addonName.."\124r: ",...)
end
--msg("Loaded rev "..rev)
local debug_enabled = false
local function debug(...)
  if debug_enabled then
    msg(...)
  end
end

local cvar = 'showAllEnemyDebuffs'
local uvar = 'SHOW_ALL_ENEMY_DEBUFFS'

function addon:fix(event) 
  if event then debug(event) end
  local cset = GetCVar(cvar)
  local uset = _G[uvar]
  if uset ~= cset then
    debug("Fixing setting "..(uset or "nil").." to: "..(cset or "nil"))
    _G[uvar] = cset
    if TargetFrame and TargetFrame_UpdateAuras then
      TargetFrame_UpdateAuras(TargetFrame)
    end
  else
    debug("No fix required. Setting="..cset)
  end
end

local frame = CreateFrame("Button", addonName.."HiddenFrame", UIParent)
--frame:RegisterEvent("CVAR_UPDATE");
frame:RegisterEvent("VARIABLES_LOADED");
frame:SetScript("OnEvent", function(self, event, ...) addon:fix(event) end)

